Skip to main content
WEBHOOK

Body

application/json

Webhook payload sent when a document upload job finishes processing.

id
string
required

The ID of the job.

Maximum string length: 255
status
enum<string>
required

The current status of the job, one of: PENDING, COMPLETED, FAILED. COMPLETED includes jobs that produced no new documents (duplicates, non-utility files, password-protected files, or processing errors). If the job status is FAILED, please contact our support team.

  • PENDING - Pending
  • COMPLETED - Completed
  • FAILED - Failed
Available options:
PENDING,
COMPLETED,
FAILED
eventType
string
required

Type of event. Always job.completed.v2.

companyId
string<uuid>
required

UUID of the company the job belongs to.

companyExternalId
string | null
required

Your external identifier for the company, or null if unset.

parsedDocumentIds
string[]

List of document IDs that were processed successfully by the job. This is only populated if the job is completed. Empty when the job finished without creating new documents.

duplicates
integer

Number of duplicate files detected by the job. This is only populated if the job is completed.

duplicateDocumentIds
string[]

List of document IDs that were identified as duplicates by the job. This is only populated if the job is completed.

nonUtilityDocumentIds
string[]

List of document IDs that were identified as non-utility documents by the job. This is only populated if the job is completed.

passwordProtectedDocumentIds
string[]

List of document IDs that were identified as password-protected by the job. This is only populated if the job is completed.

errorDocumentIds
string[]

List of document IDs that failed processing. This is only populated if the job is completed.

terminationReason
string | null

The reason the job failed. This is only populated if the job status is FAILED.

Response

200

No response body